%{
#include <stdio.h>
%}

%%
[a-zA-Z][a-zA-Z0-9_]*           printf("%s\n", yy_bp);
[a-zA-Z0-9\/.-]+                //printf("FILENAME %s\n", yy_bp);
\"[^\"\n]*\"                    //printf("QUOTE %s", yy_bp); 
"//".*                          //printf("CPP comment %s", yy_bp);
"/*".*"*/"                      //printf("C comment %s", yy_bp); /* sed takes care of this */
\{                              //printf("OBRACE ");
\}                              //printf("EBRACE ");
\(                              //printf("SULJEAUKI ");
\)                              //printf("SULJEKII ");
=                               //printf("ON ");
;                               //printf("SEMICOLON ");
,                               //printf("PILKKU ");
%                               //printf("PROSENTTI ");
&                               //printf("AMPERSANDI ");
:                               //printf("KAKSOISPISTE ");
'[^'\n]*'                       //printf("LAINAUS %s", yy_bp);
'                               //printf("YKSINAINENHIPSU ");
\*                              //printf("POINTTERI ");
\|                              //printf("PUTKI ");
\n                              //printf("\n");
#                               //printf("RISUAITA ");
\!                              //printf("HUUTOMERKKI ");
\?                              //printf("QUESTIONMARK ");
\+                              //printf("PLUS ");
\^                              //printf("POTENSSI ");
\\                              //printf("BACKSLASH ");
[ \t]+                          /* ignore whitespace */;
%%
