#!/bin/bash
#
#Gets the subsection lists from the web and gathers a list of URLs for the individual package page.
#
#author: Samu Varjonen <samu.varjonen(a)cs.helsinki.fi>

distro="saucy"
baseurl="http://packages.ubuntu.com/${distro}/"
url=${baseurl}web/
curl ${url} | \
#strip the useless stuff from the lines
grep "<dt>" | \
#some of the dds are on the wrong line break the line
sed -e 's/><dd>/>\n<remove>/' | \
grep "<dt>" | \
#line we have now is of form 
#<dt><a href='tin' id='tin'>tin</a> (1:2.1.1-1) [<strong class='pmarker'>universe</strong>]</dt>
awk -F "'" -v url="$url" '{print url $2}' #
url=${baseurl}httpd/
curl ${url} | \
#strip the useless stuff from the lines
grep "<dt>" | \
#some of the dds are on the wrong line break the line
sed -e 's/><dd>/>\n<remove>/' | \
grep "<dt>" | \
#line we have now is of form 
#<dt><a href='tin' id='tin'>tin</a> (1:2.1.1-1) [<strong class='pmarker'>universe</strong>]</dt>
awk -F "'" -v url="$url" '{print url $2}' #
url=${baseurl}mail/
curl ${url} | \
#strip the useless stuff from the lines
grep "<dt>" | \
#some of the dds are on the wrong line break the line
sed -e 's/><dd>/>\n<remove>/' | \
grep "<dt>" | \
#line we have now is of form 
#<dt><a href='tin' id='tin'>tin</a> (1:2.1.1-1) [<strong class='pmarker'>universe</strong>]</dt>
awk -F "'" -v url="$url" '{print url $2}' #
url=${baseurl}net/
curl ${url} | \
#strip the useless stuff from the lines
grep "<dt>" | \
#some of the dds are on the wrong line break the line
sed -e 's/><dd>/>\n<remove>/' | \
grep "<dt>" | \
#line we have now is of form 
#<dt><a href='tin' id='tin'>tin</a> (1:2.1.1-1) [<strong class='pmarker'>universe</strong>]</dt>
awk -F "'" -v url="$url" '{print url $2}' #
url=${baseurl}news/
curl ${url} | \
#strip the useless stuff from the lines
grep "<dt>" | \
#some of the dds are on the wrong line break the line
sed -e 's/><dd>/>\n<remove>/' | \
grep "<dt>" | \
#line we have now is of form 
#<dt><a href='tin' id='tin'>tin</a> (1:2.1.1-1) [<strong class='pmarker'>universe</strong>]</dt>
awk -F "'" -v url="$url" '{print url $2}' #| \
