#!/bin/bash
#
#This creates the URL list for the sources and their patches.
#
#NOTE THIS SCRIPT WILL TAKE TIME
#
#author: Samu Varjonen <samu.varjonen(a)cs.helsinki.fi>

#get all the links from the sections we need sort out the uniques
./gather-app-page-urls.sh | \
#remove the duplicates
sort -u | \
./get-app-page-and-strip-dl-urls.sh | \
#strip the urls
awk -F '"' '{print $2}' | \
#remove the lines for dscs
grep -v ".dsc" | \
#remove the duplicates and redirect the output to a file.
sort -u > sources.list
